Skip to main content
PUT
Update Product Details

Authorizations

x-api-key
string
header
required

Your PapelShip API Key

x-store-hash
string
header
required

Your Store Hash ID

Path Parameters

id
string
required

Body

application/json
id
integer
Example:

101

hash_id
string
Example:

"a1b2c3d4e5f6"

name
string
Example:

"Premium License Key"

slug
string
Example:

"premium-license-key"

type
enum<string>
Available options:
file,
serials,
dynamic,
subscription,
donation,
contact
Example:

"serials"

price_cents
integer

Price in cents (e.g., 1000 = $10.00)

Example:

2999

currency
string
Example:

"USD"

status
enum<string>
Available options:
active,
draft,
hidden
Example:

"active"

active
enum<integer>
Available options:
0,
1
Example:

1

sales_count
integer
Example:

5

categories
object[]
details
object

Response

200 - application/json

Product updated

success
boolean
product
object